# Class QuotaMetricsUtils

java.lang.Object
org.apache.zookeeper.server.util.QuotaMetricsUtils

public final class QuotaMetricsUtils extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`QUOTA_BYTES_LIMIT_PER_NAMESPACE`
`static final String`
`QUOTA_BYTES_USAGE_PER_NAMESPACE`
`static final String`
`QUOTA_COUNT_LIMIT_PER_NAMESPACE`
`static final String`
`QUOTA_COUNT_USAGE_PER_NAMESPACE`
`static final String`
`QUOTA_EXCEEDED_ERROR_PER_NAMESPACE`

## Method Summary

Modifier and Type
Method
Description
`static Map<String,Number>`
`getQuotaBytesLimit(DataTree dataTree)`
Traverse the quota subtree and return per namespace quota bytes limit `
`static Map<String,Number>`
`getQuotaBytesUsage(DataTree dataTree)`
Traverse the quota subtree and return per namespace quota bytes usage
`static Map<String,Number>`
`getQuotaCountLimit(DataTree dataTree)`
Traverse the quota subtree and return per namespace quota count limit
`static Map<String,Number>`
`getQuotaCountUsage(DataTree dataTree)`
Traverse the quota subtree and return per namespace quota count usage

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### QUOTA_COUNT_LIMIT_PER_NAMESPACE

public static final String QUOTA_COUNT_LIMIT_PER_NAMESPACE

See Also:
  - Constant Field Values

### QUOTA_BYTES_LIMIT_PER_NAMESPACE

public static final String QUOTA_BYTES_LIMIT_PER_NAMESPACE

See Also:
  - Constant Field Values

### QUOTA_COUNT_USAGE_PER_NAMESPACE

public static final String QUOTA_COUNT_USAGE_PER_NAMESPACE

See Also:
  - Constant Field Values

### QUOTA_BYTES_USAGE_PER_NAMESPACE

public static final String QUOTA_BYTES_USAGE_PER_NAMESPACE

See Also:
  - Constant Field Values

### QUOTA_EXCEEDED_ERROR_PER_NAMESPACE

public static final String QUOTA_EXCEEDED_ERROR_PER_NAMESPACE

See Also:
  - Constant Field Values

## Method Details

### getQuotaCountLimit

public static Map<String,Number> getQuotaCountLimit(DataTree dataTree)
Traverse the quota subtree and return per namespace quota count limit

Parameters:
  `dataTree` - dataTree that contains the quota limit and usage data
Returns:
  a map with top namespace as the key and quota count limit as the value

### getQuotaBytesLimit

public static Map<String,Number> getQuotaBytesLimit(DataTree dataTree)
Traverse the quota subtree and return per namespace quota bytes limit `

Parameters:
  `dataTree` - dataTree that contains the quota limit and usage data
Returns:
  a map with top namespace as the key and quota bytes limit as the value

### getQuotaCountUsage

public static Map<String,Number> getQuotaCountUsage(DataTree dataTree)
Traverse the quota subtree and return per namespace quota count usage

Parameters:
  `dataTree` - dataTree that contains the quota limit and usage data
Returns:
  a map with top namespace as the key and quota count usage as the value

### getQuotaBytesUsage

public static Map<String,Number> getQuotaBytesUsage(DataTree dataTree)
Traverse the quota subtree and return per namespace quota bytes usage

Parameters:
  `dataTree` - dataTree that contains the quota limit and usage data
Returns:
  a map with top namespace as the key and quota bytes usage as the value